For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Join CommunityStart Trading
HomeOverviewDIME UtilityTradingRisk & LiquidationsVTFsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
HomeOverviewDIME UtilityTradingRisk & LiquidationsVTFsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
  • General Information
    • Server Location
    • Server URLs
    • Quick Start
    • Authentication
    • Rate Limits
    • Benchmarks
    • API Authentication
    • API Best Practices
  • Production API Reference
        • GETGet vaults
        • POSTCreate vault
        • GETGet vault account summary
        • GETGet combined vault-level and substrategy analytics for a vault
        • GETGet vault balances
        • GETGet vaults config
        • GETGet vault historical data
        • GETGet vaults owned or operated by the authenticated account
        • GETGet vault positions
        • GETGet vault summary
        • GETGet vault transfers
  • Testnet API Reference
  • Useful Resources
    • Paradex Github
    • Paradex CLI
    • Code Samples
    • Python SDK
    • CCXT Integration
Join CommunityStart Trading
Production API ReferenceVaults

Get vault balances

GET
https://api.prod.paradex.trade/v1/vaults/balance
GET
/v1/vaults/balance
$curl -G https://api.prod.paradex.trade/v1/vaults/balance \
> -H "Authorization: <apiKey>" \
> -d address=address
1{
2 "results": [
3 {
4 "average_entry_price": "2901.34",
5 "average_entry_price_usd": "2902.18",
6 "cost": "105.4623",
7 "cost_usd": "105.8311",
8 "last_updated_at": 1681462770114,
9 "size": "123003.620",
10 "token": "USDC"
11 }
12 ]
13}
Get spot balance of a vault
Was this page helpful?
Previous

Get vaults config

Next
Built with

Query parameters

addressstringRequired
Vault Address
strategystringOptional
Vault Strategy Address

Response

OK
resultslist of objects
Array of results

Errors

400
Bad Request Error